"use strict";
const util = require("util");
class Utils {
    static isNonEmpty(str) {
        return (!!str && !!str.trim());
    }
    static getError(error) {
        if (error && error.message) {
            return JSON.stringify(error.message);
        }
        if (typeof error === "string") {
            return error;
        }
        return JSON.stringify(error);
    }
    static buildErrorString(errors) {
        let index = 1;
        return errors.map(error => !!error ? util.format("%s. %s \n", index++, error) : "").join("");
    }
}
module.exports = Utils;
